Skip to main content
POST
Transition a stewardship plan

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

plan_id
integer
required

Plan id in the current organization.

Body

application/json

Validated request fields for this operation.

version
integer
required

Current plan version for optimistic concurrency. Stale versions return 409.

Required range: x >= 1
Example:

1

transition
enum<string>
required

Transition. Validation: required; allowed values: activate, promote_to_managed, pause, resume, not_qualified, complete_period.

Available options:
activate,
promote_to_managed,
pause,
resume,
not_qualified,
complete_period
Example:

"activate"

tier
enum<string> | null

Tier. Validation: nullable; allowed values: A, B, C.

Available options:
A,
B,
C,
null
Example:

"A"

goal_amount
number | null

Goal amount. Validation: nullable, numeric, min:0, max:9999999999999.99.

Required range: 0 <= x <= 9999999999999.99
Example:

25

target_ask_amount
number | null

Target ask amount. Validation: nullable, numeric, min:0, max:9999999999999.99.

Required range: 0 <= x <= 9999999999999.99
Example:

25

reason
string | null

Reason. Validation: nullable, string, max:1000.

Maximum string length: 1000
Example:

"No follow-up is needed."

summary
string | null

Summary. Validation: nullable, string, max:5000.

Maximum string length: 5000
Example:

"Summary"

next_review_at
string<date-time> | null

Next review at. Validation: nullable, date.

Example:

"2026-10-20T12:00:00Z"

Response

Operation result.

status
string
Example:

"success"

data
object

Strategy fields, moves and reviews are omitted unless permissions.can_view_strategy is true; mutations return the refreshed plan workspace unless their response says otherwise.